# BEGIN SourceDeps(oneline):
BuildRequires: perl(AnyEvent.pm) perl(AnyEvent/Handle.pm) perl(AnyEvent/Log.pm) perl(AnyEvent/Socket.pm) perl(AnyEvent/Util.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_name AnyEvent-SOCKS-Client
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: AnyEvent-based SOCKS client!
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Z/ZL/ZLOBUS/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Constructs function which behave like AnyEvent::Socket::tcp_connect

    use AnyEvent::SOCKS::Client qw/tcp_connect_via/;

    my @chain = qw/socks5://user:pass@192.0.2.100:1080 socks5://198.51.100.200:9080/;
    tcp_connect_via( @chain )->( 'example.com', 80, sub{
        my ($fh) = @_ or die "Connect failed $!";
__...
    }); 
    
SOCKS client for AnyEvent::HTTP

   http_get "http://example.com/foo", 
      tcp_connect => tcp_connect_via('socks5://198.51.100.200:9080'), 
      sub{ 
         my( $data, $header) = @_ ;
         ...
      };

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/A*

%changelog
* Sun Mar 11 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

